#!/bin/sh

# video.sh - Crea el gif animado "animated.gif" a partir de un archivo de datos
# Para correrlo:
# ./video1d.sh <Nv> <archivo de datos> <archivo_gif_salida>
# donde <Nv> es la cantidad de imagenes en <archivo de datos>, que es el
# nombre del archivo en el que tenemos los datos
# el formato de <archivo de datos> es parecido al que explico Ale en el pizarron, es decir:
# "columna x" "columna y" "solucion a t=0"
# (dos lineas en blanco)
# "columna x" "columna y" "solucion a t=1"
# etc...
#
# (guarda con las dos lineas en blanco!)
# Cuidado de no poner muchas imagenes (Nv<100)!!!
#
# Metodos Numericos multidimensionales en fluidos - 28/9/2011
# Grupo: Yanileu Pedevilla (yanijo26@hotmail.com) y Leonardo Mingari (lmingari@gmail)

gnuplot << EOF
set autoscale
set autoscale zfix
#Para fijar la escala habilitar la siguiente linea
#set zrange [0 to 100]
unset log

unset label
set xtic auto
set ytic auto
set title "Ecuacion de advección lineal"
set xlabel "Posicion x"
set ylabel "Posicion y"

set terminal gif animate delay 10
set output "animate.gif"

i=0
call "plot.p" '$1' $2
EOF
